windows: Could not find a version that satisfies the requirement tkinter

created at 03-31-2022 views: 3

problem

I recently tried to write a python GUI interface and decided to start with tkinter.

But it failed to install. Executing pip install tkinter does not work, and the following error is reported:

C:\Users\zhengjie>pip install tkinter
Collecting tkinter
  Could not find a version that satisfies the requirement tkinter (from versions: )
No matching distribution found for tkinter

solution

After searching, I didn't find the answer I was looking for. But by pip search tkinter, found the description about tk , so decisively execute the following code:

pip install pythotk

success!

created at:03-31-2022
edited at: 03-31-2022: